Cannot upgrade Roundcube after upgrade from debian jessie to debian stretch

Discussion in 'Plugins/Modules/Addons' started by jpcalhau, Sep 17, 2019.

  1. jpcalhau

    jpcalhau New Member

    Sorry is in wrong place (can be deleted, or the other thread, this one have replies...)

    Hi all,

    After an upgrade from Debian Jessie to Debian Stretch everything is working fine (after "php -q update.php" ispconfig).
    I have roundcube installed and configured (and working) (version 1.3.4) but (the is always a but…) something is stuck when upgrading packages
    I get this error:
    upload_2019-9-17_17-13-47.png

    The file/folder’s owner is www-data, should I change the owner? To root?
    Thanks in advance
    JP
     
    Last edited: Sep 18, 2019
  2. Jesse Norell

    Jesse Norell Well-Known Member

    Checking a stretch system here (which was updated from jessie in the past), /var/lib/roundcube/config is a symlink:
    Code:
    [email protected]:~# ls -l /var/lib/roundcube/
    total 12
    lrwxrwxrwx 1 root     root       14 Apr 20  2018 config -> /etc/roundcube
    lrwxrwxrwx 1 root     root       30 Nov 23  2018 index.php -> /usr/share/roundcube/index.php
    lrwxrwxrwx 1 root     root       19 Apr 20  2018 logs -> ../../log/roundcube
    drwxr-xr-x 2 root     root     4096 Oct 23  2018 plugins
    lrwxrwxrwx 1 root     root       28 Apr 20  2018 program -> /usr/share/roundcube/program
    lrwxrwxrwx 1 root     root       31 Nov 23  2018 robots.txt -> /usr/share/roundcube/robots.txt
    drwxr-xr-x 2 root     root     4096 Jul 10  2018 skins
    drwxr-x--- 2 www-data www-data 4096 Jul 24 06:55 temp
    
     
  3. jpcalhau

    jpcalhau New Member

    :(
    I changed the owner (to root:root) but did not solved the problem, keep "saying" "error: file '/var/lib/roundcube/config/[several files]' not owned by package 'roundcube-[several packages]"

    Probably I’m going to force remove roundcube (keep config files) and install with Debian 9 packages...
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Have a look at the Debian 10 perfect server guide and install RoundCube as described there.
     
  5. jpcalhau

    jpcalhau New Member

    Thats (kind of) what I´ve been doing, but keep turning the errors above, I probably have to remove the actual version first.

    Thnks
     
  6. jpcalhau

    jpcalhau New Member

    Solved!!! remove actual version then install new one!

    Thks
     

Share This Page